Bug 841466 - Fedora 17 (Beefy Miracle) fails to boot: dracut fails to access boot drive
Fedora 17 (Beefy Miracle) fails to boot: dracut fails to access boot drive
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
17
i686 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 01:06 EDT by Gary Meerschaert
Modified: 2013-07-31 19:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:58:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"udevadm info --query=all --name=/dev/sdb1" and "ps ax | grep udevd" results (1.44 MB, image/jpeg)
2012-07-20 16:45 EDT, Gary Meerschaert
no flags Details
dmesg output from rd.debug rd.udev.debug log_buf_len=4M (216.52 KB, text/plain)
2012-07-25 08:07 EDT, Gary Meerschaert
no flags Details
Comment (166.76 KB, text/plain)
2012-07-19 10:54 EDT, Gary Meerschaert
no flags Details

  None (edit)
Description Gary Meerschaert 2012-07-19 01:06:07 EDT
User-Agent:       Mozilla/5.0 (X11; Linux i686; rv:13.0) Gecko/20100101 Firefox/13.0.1
Build Identifier: 

After using preupgrade to move from Fedora 16 to 17,the boot fails with the following messages:

dracut Warning: Unable to process initqueue
dracut Warning: /dev/disk/by-uuid/a5fcde3e-064a-4a78-9f38-794138291746 does not exist

then the dracut prompt appears.



Reproducible: Always

Steps to Reproduce:
1. Select 'Fedora (3.4.4-5.fc17.i686)
2. System issues above messages
3. System enters dracut prompt
Actual Results:  
System fails to complete boot process.

Expected Results:  
System to boot successfully

have tried removing and reinstalling Fedora kernal via yum. Yum history report says:

Loaded plugins: langpacks, presto, refresh-packagekit
Transaction ID : 58
Begin time     : Wed Jul 18 20:04:16 2012
Begin rpmdb    : 10293:8f852e99a929b825288c07a5b75a784e48a0a7c1
End time       :            20:14:12 2012 (9 minutes)
End rpmdb      : 10261:f6e8e707a6c0f4e1a6b4c22bbf8232b2c877c736
User           : System <unset>
Return-Code    : Success
Transaction performed with:
    Installed     rpm-4.9.1.3-1.fc16.i686  @updates
    Installed     rpm-4.9.1.3-7.fc17.i686  installed
    Installed     yum-3.4.3-24.fc16.noarch @updates
    Installed     yum-3.4.3-28.fc17.noarch installed
Packages Altered:
    Updated     bash-4.2.28-1.fc16.i686                               @updates
    Updated     bash-4.2.29-2.fc17.i686                               ?
    Update           4.2.36-1.fc17.i686                               @anaconda-0/17
    Updated     eclipse-emf-core-1:2.8.0-0.22.I201205031800.fc17.i686 ?
    Update                       1:2.8.0-2.fc17.i686                  @anaconda-0/17
    Dep-Install eclipse-equinox-osgi-1:4.2.0-2.fc17.i686              @anaconda-0/17
    Updated     eclipse-jdt-1:3.7.1-8.fc16.i686                       @updates
    Updated     eclipse-jdt-1:4.2.0-0.22.I201205031800.fc17.i686      ?
    Update                  1:4.2.0-2.fc17.i686                       @anaconda-0/17
    Updated     eclipse-pde-1:3.7.1-8.fc16.i686                       @updates
    Updated     eclipse-pde-1:4.2.0-0.22.I201205031800.fc17.i686      ?
    Update                  1:4.2.0-2.fc17.i686                       @anaconda-0/17
    Updated     eclipse-platform-1:3.7.1-8.fc16.i686                  @updates
    Updated     eclipse-platform-1:4.2.0-0.22.I201205031800.fc17.i686 ?
    Update                       1:4.2.0-2.fc17.i686                  @anaconda-0/17
    Updated     eclipse-rcp-1:3.7.1-8.fc16.i686                       @updates
    Updated     eclipse-rcp-1:4.2.0-0.22.I201205031800.fc17.i686      ?
    Update                  1:4.2.0-2.fc17.i686                       @anaconda-0/17
    Updated     eclipse-swt-1:3.7.1-8.fc16.i686                       @updates
    Updated     eclipse-swt-1:4.2.0-0.22.I201205031800.fc17.i686      ?
    Update                  1:4.2.0-2.fc17.i686                       @anaconda-0/17
    Updated     evolution-3.2.3-3.fc16.i686                           @?updates
    Updated     evolution-3.4.3-1.fc17.i686                           ?
    Update                3.4.3-2.fc17.i686                           @anaconda-0/17
    Updated     evolution-NetworkManager-3.4.3-1.fc17.i686            @anaconda-0/17
    Update                               3.4.3-2.fc17.i686            @anaconda-0/17
    Updated     evolution-bogofilter-3.4.3-1.fc17.i686                @anaconda-0/17
    Update                           3.4.3-2.fc17.i686                @anaconda-0/17
    Updated     evolution-help-3.2.3-3.fc16.noarch                    @updates
    Updated     evolution-help-3.4.3-1.fc17.noarch                    ?
    Update                     3.4.3-2.fc17.noarch                    @anaconda-0/17
    Updated     evolution-perl-3.2.3-3.fc16.i686                      @updates
    Updated     evolution-perl-3.4.3-1.fc17.i686                      ?
    Update                     3.4.3-2.fc17.i686                      @anaconda-0/17
    Updated     felix-osgi-compendium-1.4.0-10.fc17.noarch            ?
    Update                            1.4.0-11.fc17.noarch            @anaconda-0/17
    Updated     ghc-leksah-0.10.0.4-4.fc16.i686                       @fedora
    Updated     ghc-leksah-0.12.1.2-1.fc17.i686                       ?
    Update                 0.12.1.3-1.fc17.i686                       @anaconda-0/17
    Updated     ghc-leksah-devel-0.10.0.4-4.fc16.i686                 @fedora
    Updated     ghc-leksah-devel-0.12.1.2-1.fc17.i686                 ?
    Update                       0.12.1.3-1.fc17.i686                 @anaconda-0/17
    Updated     gigolo-0.4.1-6.fc17.i686                              @anaconda-0/17
    Update             0.4.1-8.fc17.i686                              @anaconda-0/17
    Updated     glade3-libgladeui-1:3.10.0-6.fc16.i686                @updates
    Update                        2:3.8.2-1.fc17.i686                 @anaconda-0/17
    Updated     gourmet-0.15.9-4.fc16.noarch                          @updates
    Update              0.15.9-4.fc17.noarch                          @anaconda-0/17
    Updated     grep-2.9-3.fc16.i686                                  @?fedora
    Updated     grep-2.12-1.fc17.i686                                 ?
    Update           2.13-1.fc17.i686                                 @anaconda-0/17
    Updated     initscripts-9.34.2-1.fc16.i686                        ?
    Updated     initscripts-9.37-1.fc17.i686                          ?
    Update                  9.37.1-1.fc17.i686                        @anaconda-0/17
    Erase       kernel-3.3.7-1.fc16.i686                              @updates
    Install     kernel-3.4.4-5.fc17.i686                              @anaconda-0/17
    Updated     libmad-0.15.1b-13.fc12.i586                           @rpmfusion-free
    Updated     libmad-0.15.1b-14.fc17.i686                           ?
    Update             0.15.1b-15.fc17.i686                           @anaconda-0/17
    Updated     libmikmod-3.2.0-12.beta2.fc15.i686                    @fedora
    Updated     libmikmod-3.2.0-13.beta2.fc17.i686                    ?
    Update                3.2.0-15.fc17.i686                          @anaconda-0/17
    Updated     libtiff-3.9.6-1.fc16.i686                             @updates
    Update              3.9.6-1.fc17.i686                             @anaconda-0/17
    Updated     libtiff-devel-3.9.6-1.fc16.i686                       @updates
    Update                    3.9.6-1.fc17.i686                       @anaconda-0/17
    Updated     mysql-5.5.25a-1.fc16.i686                             @updates
    Update            5.5.25a-1.fc17.i686                             @anaconda-0/17
    Updated     mysql-devel-5.5.25a-1.fc16.i686                       @updates
    Update                  5.5.25a-1.fc17.i686                       @anaconda-0/17
    Updated     mysql-embedded-5.5.25a-1.fc16.i686                    @updates
    Update                     5.5.25a-1.fc17.i686                    @anaconda-0/17
    Updated     mysql-libs-5.5.25a-1.fc16.i686                        @updates
    Update                 5.5.25a-1.fc17.i686                        @anaconda-0/17
    Updated     mysql-server-5.5.25a-1.fc16.i686                      @updates
    Update                   5.5.25a-1.fc17.i686                      @anaconda-0/17
    Updated     nmh-1.5-1.fc16.i686                                   @updates
    Update          1.5-1.fc17.i686                                   @anaconda-0/17
    Updated     octave-6:3.4.3-1.fc16.i686                            @updates
    Updated     octave-6:3.6.2-1.fc17.i686                            ?
    Update             6:3.6.2-2.fc17.i686                            @anaconda-0/17
    Updated     openldap-2.4.26-7.fc16.i686                           ?
    Updated     openldap-2.4.31-2.fc17.i686                           ?
    Update               2.4.31-3.fc17.i686                           @anaconda-0/17
    Updated     openldap-clients-2.4.26-7.fc16.i686                   @updates
    Updated     openldap-clients-2.4.31-2.fc17.i686                   ?
    Update                       2.4.31-3.fc17.i686                   @anaconda-0/17
    Updated     openldap-devel-2.4.31-2.fc17.i686                     @anaconda-0/17
    Update                     2.4.31-3.fc17.i686                     @anaconda-0/17
    Updated     openldap-servers-2.4.31-2.fc17.i686                   @anaconda-0/17
    Update                       2.4.31-3.fc17.i686                   @anaconda-0/17
    Updated     pan-1:0.138-1.fc17.i686                               @anaconda-0/17
    Update          1:0.139-1.fc17.i686                               @anaconda-0/17
    Updated     podofo-libs-0.9.1-1.fc16.i686                         @fedora
    Updated     podofo-libs-0.9.1-5.fc17.i686                         ?
    Update                  0.9.1-6.fc17.i686                         @anaconda-0/17
    Updated     powertop-2.0-3.fc16.i686                              @updates
    Update               2.0-3.fc17.i686                              @anaconda-0/17
    Updated     python-boto-2.0-1.fc16.noarch                         @?fedora
    Updated     python-boto-2.5.1-1.fc17.noarch                       ?
    Update                  2.5.2-1.fc17.noarch                       @anaconda-0/17
    Updated     qbittorrent-1:2.9.11-1.fc16.i686                      @updates
    Update                  1:2.9.11-1.fc17.i686                      @anaconda-0/17
    Updated     qt-1:4.8.2-2.fc16.i686                                @updates
    Updated     qt-1:4.8.2-2.fc17.i686                                ?
    Update         1:4.8.2-4.fc17.i686                                @anaconda-0/17
    Updated     qt-assistant-1:4.8.2-2.fc16.i686                      @updates
    Updated     qt-assistant-1:4.8.2-2.fc17.i686                      ?
    Update                   1:4.8.2-4.fc17.i686                      @anaconda-0/17
    Updated     qt-demos-1:4.8.2-2.fc16.i686                          @updates
    Updated     qt-demos-1:4.8.2-2.fc17.i686                          ?
    Update               1:4.8.2-4.fc17.i686                          @anaconda-0/17
    Updated     qt-devel-1:4.8.2-2.fc16.i686                          @updates
    Updated     qt-devel-1:4.8.2-2.fc17.i686                          ?
    Update               1:4.8.2-4.fc17.i686                          @anaconda-0/17
    Updated     qt-doc-1:4.8.2-2.fc16.noarch                          @updates
    Updated     qt-doc-1:4.8.2-2.fc17.noarch                          ?
    Update             1:4.8.2-4.fc17.noarch                          @anaconda-0/17
    Updated     qt-examples-1:4.8.2-2.fc16.i686                       @updates
    Updated     qt-examples-1:4.8.2-2.fc17.i686                       ?
    Update                  1:4.8.2-4.fc17.i686                       @anaconda-0/17
    Updated     qt-mysql-1:4.8.2-2.fc16.i686                          @updates
    Updated     qt-mysql-1:4.8.2-2.fc17.i686                          ?
    Update               1:4.8.2-4.fc17.i686                          @anaconda-0/17
    Updated     qt-x11-1:4.8.2-2.fc16.i686                            @updates
    Updated     qt-x11-1:4.8.2-2.fc17.i686                            ?
    Update             1:4.8.2-4.fc17.i686                            @anaconda-0/17
    Updated     quota-1:4.00-3.fc17.i686                              @anaconda-0/17
    Update            1:4.00-4.fc17.i686                              @anaconda-0/17
    Updated     quota-nls-1:4.00-0.17.pre1.fc16.noarch                @fedora
    Updated     quota-nls-1:4.00-3.fc17.noarch                        ?
    Update                1:4.00-4.fc17.noarch                        @anaconda-0/17
    Updated     redhat-lsb-4.0-7.1.fc16.i686                          @updates
    Updated     redhat-lsb-4.1-4.fc17.i686                            ?
    Update                 4.1-5.fc17.i686                            @anaconda-0/17
    Updated     redhat-lsb-core-4.1-4.fc17.i686                       ?
    Update                      4.1-5.fc17.i686                       @anaconda-0/17
    Updated     redhat-lsb-cxx-4.1-4.fc17.i686                        ?
    Update                     4.1-5.fc17.i686                        @anaconda-0/17
    Updated     redhat-lsb-desktop-4.1-4.fc17.i686                    ?
    Update                         4.1-5.fc17.i686                    @anaconda-0/17
    Updated     redhat-lsb-languages-4.1-4.fc17.i686                  ?
    Update                           4.1-5.fc17.i686                  @anaconda-0/17
    Updated     redhat-lsb-printing-4.1-4.fc17.i686                   ?
    Update                          4.1-5.fc17.i686                   @anaconda-0/17
    Updated     redhat-lsb-submod-multimedia-4.1-4.fc17.i686          ?
    Update                                   4.1-5.fc17.i686          @anaconda-0/17
    Updated     redhat-lsb-submod-security-4.1-4.fc17.i686            ?
    Update                                 4.1-5.fc17.i686            @anaconda-0/17
    Updated     selinux-policy-3.10.0-89.fc16.noarch                  @updates
    Updated     selinux-policy-3.10.0-134.fc17.noarch                 ?
    Update                     3.10.0-137.fc17.noarch                 @anaconda-0/17
    Updated     selinux-policy-devel-3.10.0-134.fc17.noarch           ?
    Update                           3.10.0-137.fc17.noarch           @anaconda-0/17
    Updated     selinux-policy-targeted-3.10.0-89.fc16.noarch         @updates
    Updated     selinux-policy-targeted-3.10.0-134.fc17.noarch        ?
    Update                              3.10.0-137.fc17.noarch        @anaconda-0/17
    Updated     smartmontools-1:5.43-1.fc16.i686                      @updates
    Update                    1:5.43-1.fc17.i686                      @anaconda-0/17
    Updated     soundconverter-1.5.4-15.fc16.noarch                   @updates
    Updated     soundconverter-2.0.3-4.fc17.noarch                    ?
    Update                     2.0.3-5.fc17.noarch                    @anaconda-0/17
    Updated     swig-2.0.5-1.fc17.i686                                @anaconda-0/17
    Update           2.0.7-3.fc17.i686                                @anaconda-0/17
    Updated     vdr-streamdev-client-0.5.1-12.fc17.i686               @anaconda-0/17
    Update                           0.6.0-1.fc17.i686                @anaconda-0/17
    Updated     vdr-streamdev-server-0.5.1-12.fc17.i686               @anaconda-0/17
    Update                           0.6.0-1.fc17.i686                @anaconda-0/17
    Updated     xscreensaver-1:5.18-2.fc16.i686                       @updates
    Update                   1:5.18-2.fc17.i686                       @anaconda-0/17
    Updated     xscreensaver-base-1:5.18-2.fc16.i686                  @updates
    Update                        1:5.18-2.fc17.i686                  @anaconda-0/17
    Updated     xscreensaver-extras-1:5.18-2.fc16.i686                @updates
    Update                          1:5.18-2.fc17.i686                @anaconda-0/17
    Updated     xscreensaver-extras-base-1:5.18-2.fc16.i686           @updates
    Update                               1:5.18-2.fc17.i686           @anaconda-0/17
    Updated     xscreensaver-extras-gss-1:5.18-2.fc16.i686            @updates
    Update                              1:5.18-2.fc17.i686            @anaconda-0/17
    Updated     xscreensaver-gl-base-1:5.18-2.fc16.i686               @updates
    Update                           1:5.18-2.fc17.i686               @anaconda-0/17
    Updated     xscreensaver-gl-extras-1:5.18-2.fc16.i686             @updates
    Update                             1:5.18-2.fc17.i686             @anaconda-0/17
    Updated     xscreensaver-gl-extras-gss-1:5.18-2.fc16.i686         @updates
    Update                                 1:5.18-2.fc17.i686         @anaconda-0/17
-------------------------------------------------------------------------------
Transaction ID : 57
Begin time     : Wed Jul 18 14:30:25 2012
Begin rpmdb    : 10294:7fc9e8187151d616acce542ac3439c83e1e4c782
End time       :            14:30:32 2012 (7 seconds)
End rpmdb      : 10293:8f852e99a929b825288c07a5b75a784e48a0a7c1
User           : Gary Meerschaert <gary>
Return-Code    : Success
Command Line   : remove kernel-3.4.4-5.fc17.i686
Transaction performed with:
    Installed     rpm-4.9.1.3-1.fc16.i686  @updates
    Installed     rpm-4.9.1.3-7.fc17.i686  installed
    Installed     yum-3.4.3-24.fc16.noarch @updates
    Installed     yum-3.4.3-28.fc17.noarch installed
Packages Altered:
    Erase kernel-3.4.4-5.fc17.i686 @anaconda-0/17

Directory listing for /dev/disk/by-uuid is as follows:
ls -l /dev/disk/by-uuid
total 0
lrwxrwxrwx 1 root root 10 Jul 18 22:52 09e9a6b8-674b-4545-87f6-ec822364780e -> ../../sde1
lrwxrwxrwx 1 root root 10 Jul 18 22:51 140bf139-816b-48cf-8725-8b0faade44f5 -> ../../sde3
lrwxrwxrwx 1 root root 10 Jul 18 22:51 3024A51D24A4E6D6 -> ../../sda1
lrwxrwxrwx 1 root root 10 Jul 18 22:52 422315b3-2e55-4404-8882-d0338ee62827 -> ../../dm-4
lrwxrwxrwx 1 root root 10 Jul 18 22:51 5bc69fbe-9f06-4ad8-aa5b-07ecc15f2880 -> ../../sdd3
lrwxrwxrwx 1 root root 10 Jul 18 22:52 6fbcb041-048a-4d37-bf3e-a05dcd15fc8f -> ../../sdf2
lrwxrwxrwx 1 root root 10 Jul 18 22:51 83f9b8d6-a102-4c5a-9064-d6664375da6b -> ../../sdf3
lrwxrwxrwx 1 root root 10 Jul 18 22:51 91a9f77b-926e-45d6-a0fa-36db34d6dde1 -> ../../sdc3
lrwxrwxrwx 1 root root 10 Jul 18 22:51 9ee2c841-8dc2-4a15-87ae-bcc0dded223e -> ../../sda3
lrwxrwxrwx 1 root root 10 Jul 18 22:52 a2ee5a08-92ab-4fc6-87de-28c7c7004f12 -> ../../sde2
lrwxrwxrwx 1 root root 10 Jul 18 22:51 a5fcde3e-064a-4a78-9f38-794138291746 -> ../../sdb1
lrwxrwxrwx 1 root root 10 Jul 18 22:52 b9a1c705-b8e2-4a91-9450-eed6d646f8f5 -> ../../sdc1
lrwxrwxrwx 1 root root 10 Jul 18 22:52 bbb2620d-eb00-4814-a15f-e7eae251121e -> ../../sdd2
lrwxrwxrwx 1 root root 10 Jul 18 22:52 d1990078-e72b-4fc3-9093-e07be369a612 -> ../../sdd1
lrwxrwxrwx 1 root root 10 Jul 18 22:52 d1ed5623-a73e-4c9d-b2a5-c65d686f0cdd -> ../../sdc2
lrwxrwxrwx 1 root root 10 Jul 18 22:52 d6f06576-f919-480b-bcdd-8c86b5df0961 -> ../../dm-9
lrwxrwxrwx 1 root root 10 Jul 18 22:52 f90eaead-527b-4137-8e29-4e685f8c834a -> ../../sda2
lrwxrwxrwx 1 root root 10 Jul 18 22:51 f9b873a7-0419-456d-a4fe-e3b120318ed6 -> ../../sdb3

Grub2 configuaration file is as follows:
#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by grub2-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s $prefix/grubenv ]; then
  load_env
fi
set default="0"
if [ "${prev_saved_entry}" ]; then
  set saved_entry="${prev_saved_entry}"
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z "${boot_once}" ]; then
    saved_entry="${chosen}"
    save_env saved_entry
  fi
}

function load_video {
  insmod vbe
  insmod vga
  insmod video_bochs
  insmod video_cirrus
}

set timeout=5
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/10_linux ###
menuentry 'Fedora (3.4.4-5.fc17.i686)' --class fedora --class gnu-linux --class gnu --class os {
	load_video
	set gfxpayload=keep
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='(hd0,msdos2)'
	search --no-floppy --fs-uuid --set=root f90eaead-527b-4137-8e29-4e685f8c834a
	echo 'Loading Fedora (3.4.4-5.fc17.i686)'
	linux	/vmlinuz-3.4.4-5.fc17.i686 root=UUID=a5fcde3e-064a-4a78-9f38-794138291746 ro rd.md=0 rd.lvm=0 rd.dm=0 pci=nommconf  KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8
	echo 'Loading initial ramdisk ...'
	initrd /initramfs-3.4.4-5.fc17.i686.img
}
menuentry 'Fedora (3.4.4-4.fc16.i686)' --class fedora --class gnu-linux --class gnu --class os {
	load_video
	set gfxpayload=keep
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='(hd0,msdos2)'
	search --no-floppy --fs-uuid --set=root f90eaead-527b-4137-8e29-4e685f8c834a
	echo 'Loading Fedora (3.4.4-4.fc16.i686)'
	linux	/vmlinuz-3.4.4-4.fc16.i686 root=UUID=a5fcde3e-064a-4a78-9f38-794138291746 ro rd.md=0 rd.lvm=0 rd.dm=0 pci=nommconf  KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8
	echo 'Loading initial ramdisk ...'
	initrd /initramfs-3.4.4-4.fc16.i686.img
}
menuentry 'Fedora (3.4.2-1.fc16.i686)' --class fedora --class gnu-linux --class gnu --class os {
	load_video
	set gfxpayload=keep
	insmod gzio
	insmod part_msdos
	insmod ext2
	set root='(hd0,msdos2)'
	search --no-floppy --fs-uuid --set=root f90eaead-527b-4137-8e29-4e685f8c834a
	echo 'Loading Fedora (3.4.2-1.fc16.i686)'
	linux	/vmlinuz-3.4.2-1.fc16.i686 root=UUID=a5fcde3e-064a-4a78-9f38-794138291746 ro rd.md=0 rd.lvm=0 rd.dm=0 pci=nommconf  KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8
	echo 'Loading initial ramdisk ...'
	initrd /initramfs-3.4.2-1.fc16.i686.img
}
### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_linux_xen ###
### END /etc/grub.d/20_linux_xen ###

### BEGIN /etc/grub.d/30_os-prober ###
menuentry 'Microsoft Windows XP Professional (on /dev/sda1)' --class windows --class os {
	insmod part_msdos
	insmod ntfs
	set root='(hd0,msdos1)'
	search --no-floppy --fs-uuid --set=root 3024A51D24A4E6D6
	drivemap -s (hd0) ${root}
	chainloader +1
}
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

### BEGIN /etc/grub.d/41_custom ###
if [ -f  $prefix/custom.cfg ]; then
  source $prefix/custom.cfg;
fi
### END /etc/grub.d/41_custom ###

### BEGIN /etc/grub.d/90_persistent ###
### END /etc/grub.d/90_persistent ###

Smolt reports:
General
=================================
UUID: 331f0149-5f21-4d54-bc9b-44dbd8c43371
OS: Fedora release 17 (Beefy Miracle)
Default run level: Unknown
Language: en_US.UTF-8
Platform: i686
BogoMIPS: 4795.27
CPU Vendor: GenuineIntel
CPU Model: Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz
CPU Stepping: 11
CPU Family: 6
CPU Model Num: 15
Number of CPUs: 4
CPU Speed: 2394
System Memory: 3283
System Swap: 61439
Vendor: Unknown
System:  
Form factor: Desktop
Kernel: 3.4.4-4.fc16.i686
SELinux Enabled: 0
SELinux Policy: targeted
SELinux Enforce: Unknown
MythTV Remote: Unknown
MythTV Role: Unknown
MythTV Theme: Unknown
MythTV Plugin: 
MythTV Tuner: -1


Devices
=================================
(32902:10656:32902:20813) pci, None, HOST/PCI, 82P965/G965 Memory Controller Hub
(32902:10657:32902:20813) pci, pcieport, PCI/PCI, 82P965/G965 PCI Express Root Port
(32902:10302:32902:20813) pci, i801_smbus, SERIAL, 82801H (ICH8 Family) SMBus Controller
(32902:10272:32902:20813) pci, ata_piix, STORAGE, 82801H (ICH8 Family) 4 port SATA IDE Controller
(32902:10258:32902:20813) pci, None, PCI/ISA, 82801HH (ICH8DH) LPC Interface Controller
(32902:10277:32902:20813) pci, ata_piix, STORAGE, 82801H (ICH8 Family) 2 port SATA IDE Controller
(32902:4171:32902:1) pci, e1000e, ETHERNET, 82566DC Gigabit Network Connection
(32902:9294:32902:20813) pci, None, PCI/PCI, 82801 PCI Bridge
(32902:10289:32902:20813) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #2
(32902:10288:32902:20813) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #1
(4332:33129:4332:33129) pci, r8169, ETHERNET, RTL8169/8110 Family PCI Gigabit Ethernet NIC
(32902:10290:32902:20813) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #3
(32902:10294:32902:20813) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #1
(32902:10298:32902:20813) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #2
(4523:24833:4523:24833) pci, pata_marvell, STORAGE, 88SE6101/6102 single-port PATA133 interface
(32902:10307:32902:10307) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 3
(32902:10309:32902:10309) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 4
(32902:10303:32902:10303) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
(32902:10305:32902:10305) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 2
(32902:10660:32902:20813) pci, None, SIMPLE, 82P965/G965 HECI Controller
(32902:10311:32902:10311) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 5
(32902:10315:32902:9476) pci, snd_hda_intel, MULTIMEDIA, 82801H (ICH8 Family) HD Audio Controller
(32902:10292:32902:20813) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #4
(32902:10293:32902:20813) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #5
(4098:43624:4163:43624) pci, snd_hda_intel, MULTIMEDIA, Manhattan HDMI Audio [Mobility Radeon HD 5000 Series]
(4098:26849:4163:12288) pci, radeon, VIDEO, Manhattan [Mobility Radeon HD 5430 Series]
(4172:32803:32902:20813) pci, firewire_ohci, FIREWIRE, TSB43AB22A IEEE-1394a-2000 Controller (PHY/Link) [iOHCI-Lynx]
(4358:12873:4358:12873) pci, sata_via, RAID, VT6421 IDE RAID Controller


Filesystem Information
=================================
device mtpt type bsize frsize blocks bfree bavail file ffree favail
-------------------------------------------------------------------
/dev/sdb1 / ext4 4096 4096 25137041 15075743 14824165 6291456 5043855 5043855
/dev/sda1 WITHHELD fuseblk 4096 4096 122093992 87322634 87322634 349618216 349368907 349368907
/dev/sdf2 /opt ext4 4096 4096 8368084 8211950 7792520 2097152 2097141 2097141
/dev/sde1 /tmp ext4 4096 4096 16747443 16467505 15628645 4194304 4194070 4194070
/dev/sdd1 /usr/local ext4 4096 4096 16747443 16435015 15596155 4194304 4191428 4191428
/dev/sde2 WITHHELD ext4 4096 4096 16747443 16467949 15629089 4194304 4194293 4194293
/dev/sda2 /boot ext4 1024 1024 508644 404707 379107 128016 127704 127704
/dev/sdd2 /var/spool ext4 4096 4096 16747443 16453926 15615066 4194304 4188926 4188926
/dev/mapper/home--data-home /home ext4 4096 4096 16747443 16375252 15536392 4194304 4189992 4189992
/dev/mapper/home--data-data WITHHELD ext4 4096 4096 164446586 133104204 124872886 41156608 41156432 41156432
/dev/sdc1 /var/log ext4 4096 4096 16747443 16461831 15622971 4194304 4194079 4194079
/dev/sdc2 /var/tmp ext4 4096 4096 8368084 8127815 7708385 2097152 2096953 2096953

The system does boot correctly to Fedora 16
Comment 1 Gary Meerschaert 2012-07-19 03:54:56 EDT
Fedora 17 can be booted by replacing the ROOT=UUID=.... paramater with ROOT=/dev/sdb1 in the grub2 configuration file.
Comment 2 Harald Hoyer 2012-07-19 07:47:57 EDT
what is the output of:

# blkid -p -o udev /dev/sdb1

and

# lsinitrd
Comment 3 Gary Meerschaert 2012-07-19 10:54:45 EDT
Created attachment 915476 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 4 Harald Hoyer 2012-07-20 06:34:24 EDT
Please, next time put the output in a file and attach it to the bugzilla, instead of pasting it in here.

Hmm, I can see nothing wrong here. Very strange.

Can you please boot with the old 
root=UUID=a5fcde3e-064a-4a78-9f38-794138291746 
boot parameter, get to the dracut prompt and run:

# udevadm info --query=all --name=/dev/sdb1

You might want to take a photo of the output and attach it.

You might also want to check, if udevd is running:

# ps ax | grep udevd

Thank you for your help!
Comment 5 Gary Meerschaert 2012-07-20 16:45:16 EDT
Created attachment 599461 [details]
"udevadm info --query=all --name=/dev/sdb1" and "ps ax | grep udevd" results

Text on screen:
dracut:/# udevadm info --qyery=all --name=/dev/sdb1
P: /devices/pci0000:00/0000:00:1f.2/ata2/host1/target1:0:0/1:0:0:0/block/sdb/sd1
M: sdb1
E: DEVNAME=/dev/sdb1
E: DEVPATH=/devices/pci0000:00/0000:00:1f.2/ata2/host1/target1:0:0/1:0:0:0/block/sdb/sdb1
E: DEVTTYPE=partition
E: ID_BUS=scsi
E: ID_SCSI=1
E: MAJOR=8
E: MINOR=17
E: MPATH_SBIN_PATH=/sbin
E: SUBSYSTEM=block
E: USEC_INITIALIZED=1704658

dracut:/# ps ax | grep udevd
  116 ?        Ss     0:00 udevd --daemon --resolve-names=never
  190 ?        S      0:00 udevd --daemon --resolve-names=never
  191 ?        S      0:00 udevd --daemon --resolve-names=never
  559 tty1     S+     0:00 grep udevd

dracut:/#
Comment 6 Harald Hoyer 2012-07-24 05:29:54 EDT
(In reply to comment #5)
> Created attachment 599461 [details]
> "udevadm info --query=all --name=/dev/sdb1" and "ps ax | grep udevd" results
> 
> Text on screen:
> dracut:/# udevadm info --qyery=all --name=/dev/sdb1
> P:
> /devices/pci0000:00/0000:00:1f.2/ata2/host1/target1:0:0/1:0:0:0/block/sdb/sd1
> M: sdb1
> E: DEVNAME=/dev/sdb1
> E:
> DEVPATH=/devices/pci0000:00/0000:00:1f.2/ata2/host1/target1:0:0/1:0:0:0/
> block/sdb/sdb1
> E: DEVTTYPE=partition
> E: ID_BUS=scsi
> E: ID_SCSI=1
> E: MAJOR=8
> E: MINOR=17
> E: MPATH_SBIN_PATH=/sbin
> E: SUBSYSTEM=block
> E: USEC_INITIALIZED=1704658
>

Oh, wow.. major information is missing here!!!

What is the output of:

# blkid -o udev -p /dev/sdb1
Comment 7 Gary Meerschaert 2012-07-24 06:49:49 EDT
# blkid -o udev -p /dev/sdb1
ID_FS_LABEL=Fedora_16
ID_FS_LABEL_ENC=Fedora\x2016
ID_FS_UUID=a5fcde3e-064a-4a78-9f38-794138291746
ID_FS_UUID_ENC=a5fcde3e-064a-4a78-9f38-794138291746
ID_FS_VERSION=1.0
ID_FS_TYPE=ext4
ID_FS_USAGE=filesystem
ID_PART_ENTRY_SCHEME=dos
ID_PART_ENTRY_TYPE=0x83
ID_PART_ENTRY_NUMBER=1
ID_PART_ENTRY_OFFSET=63
ID_PART_ENTRY_SIZE=201326517
ID_PART_ENTRY_DISK=8:16
Comment 8 Harald Hoyer 2012-07-24 07:58:21 EDT
(In reply to comment #7)
> # blkid -o udev -p /dev/sdb1
> ID_FS_LABEL=Fedora_16
> ID_FS_LABEL_ENC=Fedora\x2016
> ID_FS_UUID=a5fcde3e-064a-4a78-9f38-794138291746
> ID_FS_UUID_ENC=a5fcde3e-064a-4a78-9f38-794138291746
> ID_FS_VERSION=1.0
> ID_FS_TYPE=ext4
> ID_FS_USAGE=filesystem
> ID_PART_ENTRY_SCHEME=dos
> ID_PART_ENTRY_TYPE=0x83
> ID_PART_ENTRY_NUMBER=1
> ID_PART_ENTRY_OFFSET=63
> ID_PART_ENTRY_SIZE=201326517
> ID_PART_ENTRY_DISK=8:16

is this in the dracut shell? And if not, can you try if blkid in the dracut shell outputs the same?
Comment 9 Gary Meerschaert 2012-07-24 16:18:31 EDT
Yes, this is the dracut output. It is the same as when I run it from a good boot of the system.
Comment 10 Harald Hoyer 2012-07-25 06:25:21 EDT
(In reply to comment #9)
> Yes, this is the dracut output. It is the same as when I run it from a good
> boot of the system.

very, very odd..

Please boot with "root=/dev/sdb1 rd.debug rd.udev.debug log_buf_len=4M".

Then attach the output of dmesg to this bugzilla.

Thank you!
Comment 11 Gary Meerschaert 2012-07-25 08:07:53 EDT
Created attachment 600287 [details]
dmesg output from rd.debug rd.udev.debug log_buf_len=4M

dmesg output from boot with the following paramaters added:
    root=/dev/sdb1
    rd.debug
    rd.udev.debug
    log_buf_len=4M
Comment 12 Harald Hoyer 2012-07-25 08:35:17 EDT
ah, there is an old version of udev in the initramfs:

[    1.555861] udevd[118]: starting version 173
[    6.031106] udevd[340]: starting version 182

It might help to just update the initramfs:

# dracut -f

Please retry with the root=UUID=.... parameter after doing that and thanks for your help debugging this issue.
Comment 13 Gary Meerschaert 2012-07-25 09:44:33 EDT
I just tried that (dracut -f) and the boot still failed. When I examined the dmesg output, it still had messages starting versions 173 and 182. I checked the attributes of the initramfs-3.4.4-5.fc17.i686.img file and it was just created. Any ideas on how to recreate it with only the new version of udevd, or how to get rid of the old version (and will that break my version 16 kernel?).
Comment 14 Harald Hoyer 2012-07-25 09:49:49 EDT
(In reply to comment #13)
> I just tried that (dracut -f) and the boot still failed. When I examined the
> dmesg output, it still had messages starting versions 173 and 182. I checked
> the attributes of the initramfs-3.4.4-5.fc17.i686.img file and it was just
> created. Any ideas on how to recreate it with only the new version of udevd,
> or how to get rid of the old version (and will that break my version 16
> kernel?).


To be absolutly safe:
# dracut -f /boot/initramfs-3.4.4-5.fc17.i686.img 3.4.4-5.fc17.i686

hmm.. are you sure, you are using the correct grub entry?

	linux	/vmlinuz-3.4.4-5.fc17.i686 root=UUID=a5fcde3e-064a-4a78-9f38-794138291746 ro rd.md=0 rd.lvm=0 rd.dm=0 pci=nommconf  KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8
	echo 'Loading initial ramdisk ...'
	initrd /initramfs-3.4.4-5.fc17.i686.img
Comment 15 Gary Meerschaert 2012-07-29 11:55:51 EDT
I did the comand as requested (dracut -f /boot/initramfs-3.4.4-5.fc17.i686.img 3.4.4-5.fc17.i686), and checked to be sure a new file was created. I also double checked the grub menu entry that I was using. everything was as planned. The results are still the same.
Comment 16 esteve 2012-09-20 13:25:52 EDT
The same for me, after upgrading from F16 to F17.
Th F17 kernel stops after detecting the SinapticTouchpad an before to mount the / partition (in my case an Extended partition /dev/sda5). I can boot with the F16 kernel but not with the 17 kernel.
Perhaps this can help.

If at the dracut prompt I try
udevadm info --query=all --name=/dev/sda5 or udevadm info --query=all --name=/dev/sda3
the output always is: device node not found 


 I boot from a Fedora17 Live-CD and the output of fdisk -l /dev/sda is (I omit the start, end and blocks rows) :

Device           Boot       Id       System
/dev/sda1                   12       Compaq diagnostics
/dev/sda2                    c       W95 FAT32 (LBA)
/dev/sda3         *         83       Linux
/dev/sda4                    5       Extended
/dev/sda5                   83       Linux
/dev/sda6                   82       Linux swap / Solaris

Then with the F17 kernel of the live_CD, I can mount /dev/sda3, and /dev/sda5 so all seems OK.
Comment 17 Harald Hoyer 2012-09-24 10:06:38 EDT
(In reply to comment #16)
> The same for me, after upgrading from F16 to F17.
> Th F17 kernel stops after detecting the SinapticTouchpad an before to mount
> the / partition (in my case an Extended partition /dev/sda5). I can boot
> with the F16 kernel but not with the 17 kernel.
> Perhaps this can help.
> 
> If at the dracut prompt I try
> udevadm info --query=all --name=/dev/sda5 or udevadm info --query=all
> --name=/dev/sda3
> the output always is: device node not found 
> 
> 
>  I boot from a Fedora17 Live-CD and the output of fdisk -l /dev/sda is (I
> omit the start, end and blocks rows) :
> 
> Device           Boot       Id       System
> /dev/sda1                   12       Compaq diagnostics
> /dev/sda2                    c       W95 FAT32 (LBA)
> /dev/sda3         *         83       Linux
> /dev/sda4                    5       Extended
> /dev/sda5                   83       Linux
> /dev/sda6                   82       Linux swap / Solaris
> 
> Then with the F17 kernel of the live_CD, I can mount /dev/sda3, and
> /dev/sda5 so all seems OK.

Please open a separate bugzilla with this
Comment 18 Fedora End Of Life 2013-07-03 18:14:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2013-07-31 19:58:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.